### A free/open-source library for quantitative finance

Public Member Functions
AnalyticBarrierEngine Class Reference
Barrier option engines

Pricing engine for barrier options using analytical formulae. More...

`#include <ql/pricingengines/barrier/analyticbarrierengine.hpp>`

Inheritance diagram for AnalyticBarrierEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticBarrierEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Pricing engine for barrier options using analytical formulae.

The formulas are taken from "Option pricing formulas", E.G. Haug, McGraw-Hill, p.69 and following.

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.

Examples:
  Replication.cpp.